import { World } from '.';
import { BaseEntity } from './entity';
import { Query } from './query';
export declare class System {
    executor: Function;
    query: Query;
    constructor(executor: Function);
    execute(world: World): void;
    setQuery(query: Query): void;
    getQuery(): Query;
    executeQuery(): Array<BaseEntity>;
    init(world: World): void;
}
